<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="7">Default suite</th></tr>
<tr><td><a href="#t0">Default test</a></td><td class="num">4</td><td class="num">0</td><td class="num">0</td><td class="num">76,007</td><td></td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Default suite</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Default test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="4">mockPracticetest1.MockTest1Que2TestNgDD</td><td><a href="#m0">RediffSet2</a></td><td rowspan="4">1600961134439</td><td rowspan="4">14761</td></tr><tr class="passedeven"><td><a href="#m1">RediffSet2</a></td></tr><tr class="passedeven"><td><a href="#m2">RediffSet2</a></td></tr><tr class="passedeven"><td><a href="#m3">RediffSet2</a></td></tr></tbody>
</table>
<h2>Default test</h2><h3 id="m0">mockPracticetest1.MockTest1Que2TestNgDD#RediffSet2</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th></tr><tr class="param stripe"><td>News</td><td>Columns</td><td>https://www.rediff.com/news/columns</td><td>4</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">mockPracticetest1.MockTest1Que2TestNgDD#RediffSet2</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th></tr><tr class="param stripe"><td>News</td><td>Images</td><td>https://www.rediff.com/news/slideshows</td><td>3</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">mockPracticetest1.MockTest1Que2TestNgDD#RediffSet2</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th></tr><tr class="param stripe"><td>News</td><td>Headlines</td><td>https://www.rediff.com/headline.html</td><td>1</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m3">mockPracticetest1.MockTest1Que2TestNgDD#RediffSet2</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th><th>Parameter #3</th><th>Parameter #4</th></tr><tr class="param stripe"><td>News</td><td>Defence</td><td>https://www.rediff.com/news/defence</td><td>2</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
